petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBagView

Views a bag of values as either ASCII text or a binary file

### Synopsis

    #include "petscbag.h"
    PetscErrorCode  PetscBagView(PetscBag bag,PetscViewer view)

Collective on PetscBag Many br

### Input Parameter

| bag | - the bag of values Many br
| viewer | - location to view the values Many br

Many br

Warning: Currently PETSc bags saved in a binary file can only be read back Many brin on a machine of the same architecture. Let us know when this is a problem Many brand we'll fix it. Many br

### See Also

PetscBag, PetscBagSetName(), PetscBagDestroy(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar(), PetscBagRegisterEnum() Many brPetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName() Many br

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/dm/examples/tutorials/ex7.c.html